Skip to main content

Start Bash command

POST /api/bash/start_bash_command

Execute a bash command in the background

Request body​

FieldTypeRequiredDescription
commandstringyesThe bash command to execute
cwd`stringnull`no
timeoutintegernoThe max number of seconds a command may be permitted to run.

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
commandstringyesThe bash command to execute
cwd`stringnull`no
timeoutintegernoThe max number of seconds a command may be permitted to run.
idstringno—
timestampstringno—
kindstringyes—

Operation ID: start_bash_command_api_bash_start_bash_command_post